package com.adealink.weparty.module.account

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.storage.PREF_ACCOUNT

object AccountLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_ACCOUNT, Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {

    var testAccount: String by PrefKey("key_test_account", "123456")
    var loginType: String by PrefKey("key_login_type", "")
}